[versions]
agp = "8.9.1"
androidxAppcompat = "1.7.0"
androidxRecyclerview = "1.4.0"
annotation = "1.9.1"
appcompatVersion = "1.1.0"
appupdate = "4.2.6"
barcodeScanning = "17.3.0"
baserecyclerviewadapterhelperVersion = "2.9.30"
bouncycastleBcpkixJdk15on = "1.67"
circleimageview = "3.1.0"
cnHutoolAll = "5.8.5"
comGithubPhiljayMpandroidchart5 = "v3.1.0"
comGithubChrisbanesPhotoviewLibrary5 = "1.2.4"
cnJzvdJiaozivideoplayer5 = "7.2.3"
comGithubChrisbanesPhotoview5 = "2.1.3"
comDavemorrisseyLabsSubsamplingScaleImageView5 = "3.10.0"
comGithubHuangyanbinSmarttable5 = "2.2.0"
commonsCodec = "1.15"
compiler = "4.11.0"
comSquareupRetrofit2Retrofit2 = "2.9.0"
eclipseOrgEclipsePahoAndroidService = "1.1.1"
eclipseOrgEclipsePahoClientMqttv3 = "1.2.4"
emojiBundled = "1.1.0"
eventbus = "3.3.1"
fragment = "1.8.6"
githubCompress = "v3.10.7"
githubPictureselector = "v3.10.7"
glide = "4.9.0"
ioGithubJustsonAgentwebCore2 = "v5.1.1-androidx"
kotlin = "1.9.24"
coreKtx = "1.15.0"
junit = "4.13.2"
junitVersion = "1.2.1"
espressoCore = "3.6.1"
appcompat = "1.7.0"
library = "1.0.4"
localbroadcastmanager = "1.1.0"
loggingInterceptor = "4.9.0"
material = "1.12.0"
activity = "1.10.0"
constraintlayout = "2.2.0"
meShortcutbadgerVersion = "1.1.22"
multidex = "2.0.1"
photoviewer = "0.50"
picasso = "2.5.2"
picture_library = "v2.5.9"
recyclerview = "1.0.0"
recyclerviewVersion = "1.4.0"
stepviewVersion = "1.9"
supportCompat = "28.0.0"
pdfiumAndroid = "1.9.0"
tencentCrashreportVersion = "4.1.9.3"
xuiVersion = "1.2.1"

[libraries]
androidx-annotation = { module = "androidx.annotation:annotation", version.ref = "annotation" }
androidx-appcompat-v110 = { module = "androidx.appcompat:appcompat", version.ref = "appcompatVersion" }
androidx-appcompat-v120 = { module = "androidx.appcompat:appcompat", version.ref = "androidxAppcompat" }
androidx-core-ktx = { group = "androidx.core", name = "core-ktx", version.ref = "coreKtx" }
androidx-emoji-bundled = { module = "androidx.emoji:emoji-bundled", version.ref = "emojiBundled" }
androidx-fragment = { module = "androidx.fragment:fragment", version.ref = "fragment" }
androidx-localbroadcastmanager = { module = "androidx.localbroadcastmanager:localbroadcastmanager", version.ref = "localbroadcastmanager" }
androidx-multidex = { module = "androidx.multidex:multidex", version.ref = "multidex" }
androidx-recyclerview-recyclerview = { module = "androidx.recyclerview:recyclerview", version.ref = "androidxRecyclerview" }
androidx-recyclerview-v100 = { module = "androidx.recyclerview:recyclerview", version.ref = "recyclerview" }
appupdate = { module = "io.github.azhon:appupdate", version.ref = "appupdate" }
baoyachi-stepview = { module = "com.github.baoyachi:StepView", version.ref = "stepviewVersion" }
barcode-scanning = { module = "com.google.mlkit:barcode-scanning", version.ref = "barcodeScanning" }
circleimageview = { module = "de.hdodenhof:circleimageview", version.ref = "circleimageview" }
cn-hutool-hutool-all = { module = "cn.hutool:hutool-all", version.ref = "cnHutoolAll" }
com-github-bumptech-glide-glide = { module = "com.github.bumptech.glide:glide", version.ref = "compiler" }
com-github-huangyanbin-smarttable6 = { module = "com.github.huangyanbin:SmartTable", version.ref = "comGithubHuangyanbinSmarttable5" }
com-davemorrissey-labs-subsampling-scale-image-view6 = { module = "com.davemorrissey.labs:subsampling-scale-image-view", version.ref = "comDavemorrisseyLabsSubsamplingScaleImageView5" }
com-github-chrisbanes-photoview6 = { module = "com.github.chrisbanes:PhotoView", version.ref = "comGithubChrisbanesPhotoview5" }
cn-jzvd-jiaozivideoplayer6 = { module = "cn.jzvd:jiaozivideoplayer", version.ref = "cnJzvdJiaozivideoplayer5" }
com-github-chrisbanes-photoview-library6 = { module = "com.github.chrisbanes.photoview:library", version.ref = "comGithubChrisbanesPhotoviewLibrary5" }
com-github-philjay-mpandroidchart6 = { module = "com.github.PhilJay:MPAndroidChart", version.ref = "comGithubPhiljayMpandroidchart5" }
com-squareup-retrofit2-converter-gson = { module = "com.squareup.retrofit2:converter-gson", version.ref = "comSquareupRetrofit2Retrofit2" }
com-squareup-retrofit2-retrofit3 = { module = "com.squareup.retrofit2:retrofit", version.ref = "comSquareupRetrofit2Retrofit2" }
com-tencent-bugly-crashreport = { module = "com.tencent.bugly:crashreport", version.ref = "tencentCrashreportVersion" }
compiler = { module = "com.github.bumptech.glide:compiler", version.ref = "compiler" }
commons-codec = { module = "commons-codec:commons-codec", version.ref = "commonsCodec" }
cymchad-baserecyclerviewadapterhelper = { module = "com.github.CymChad:BaseRecyclerViewAdapterHelper", version.ref = "baserecyclerviewadapterhelperVersion" }
eclipse-org-eclipse-paho-client-mqttv3 = { module = "org.eclipse.paho:org.eclipse.paho.client.mqttv3", version.ref = "eclipseOrgEclipsePahoClientMqttv3" }
eclipse-org-eclipse-paho-android-service = { module = "org.eclipse.paho:org.eclipse.paho.android.service", version.ref = "eclipseOrgEclipsePahoAndroidService" }
eventbus = { module = "org.greenrobot:eventbus", version.ref = "eventbus" }
github-camerax = { module = "io.github.lucksiege:camerax", version.ref = "githubCompress" }
github-pictureselector = { module = "io.github.lucksiege:pictureselector", version.ref = "githubPictureselector" }
github-compress = { module = "io.github.lucksiege:compress", version.ref = "githubCompress" }
github-ucrop = { module = "io.github.lucksiege:ucrop", version.ref = "githubCompress" }
glide-v490 = { module = "com.github.bumptech.glide:glide", version.ref = "glide" }
io-github-justson-agentweb-core3 = { module = "io.github.justson:agentweb-core", version.ref = "ioGithubJustsonAgentwebCore2" }
junit = { group = "junit", name = "junit", version.ref = "junit" }
androidx-junit = { group = "androidx.test.ext", name = "junit", version.ref = "junitVersion" }
androidx-espresso-core = { group = "androidx.test.espresso", name = "espresso-core", version.ref = "espressoCore" }
androidx-appcompat = { group = "androidx.appcompat", name = "appcompat", version.ref = "appcompat" }
library = { module = "it.sephiroth.android.library.imagezoom:library", version.ref = "library" }
logging-interceptor = { module = "com.squareup.okhttp3:logging-interceptor", version.ref = "loggingInterceptor" }
material = { group = "com.google.android.material", name = "material", version.ref = "material" }
androidx-activity = { group = "androidx.activity", name = "activity", version.ref = "activity" }
androidx-constraintlayout = { group = "androidx.constraintlayout", name = "constraintlayout", version.ref = "constraintlayout" }
me-leolin-shortcutbadger = { module = "me.leolin:ShortcutBadger", version.ref = "meShortcutbadgerVersion" }
okhttp = { module = "com.squareup.okhttp3:okhttp", version.ref = "loggingInterceptor" }
org-bouncycastle-bcpkix-jdk15on = { module = "org.bouncycastle:bcpkix-jdk15on", version.ref = "bouncycastleBcpkixJdk15on" }
pdfium-android = { module = "com.github.barteksc:pdfium-android", version.ref = "pdfiumAndroid" }
photoviewer = { module = "com.github.wanglu1209:PhotoViewer", version.ref = "photoviewer" }
picasso = { module = "com.squareup.picasso:picasso", version.ref = "picasso" }
picture_library = { module = "com.github.LuckSiege.PictureSelector:picture_library", version.ref = "picture_library" }
recyclerview-v140 = { module = "androidx.recyclerview:recyclerview", version.ref = "recyclerviewVersion" }
recyclerview-v7 = { module = "com.android.support:recyclerview-v7", version.ref = "supportCompat" }
support-compat = { module = "com.android.support:support-compat", version.ref = "supportCompat" }
support-v4 = { module = "com.android.support:support-v4", version.ref = "supportCompat" }
xuexiangjys-xui = { module = "com.github.xuexiangjys:XUI", version.ref = "xuiVersion" }

[plugins]
android-application = { id = "com.android.application", version.ref = "agp" }
kotlin-android = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }

